
CoCoA-5 - Bug #194

Unhandled CoCoALib error:  mixed rings with IsIn operator (for ideal membership)

21 Jun 2012 15:13 - John Abbott

Status: Closed Start date: 21 Jun 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Parser/Interpreter Estimated time: 0.00 hour

Target version: CoCoA-5.0.3 Spent time: 0.75 hour

Description

CoCoALib produces a "mixed rings" error in the following example; CoCoA-5 does not intercept the error at the level of the operator,

so the error is reported without any location information.

Use QQ[x];

f := x^2+2;

LC(f) IsIn Ideal(f);

History

#1 - 21 Jun 2012 15:17 - John Abbott

- Status changed from New to Closed

- % Done changed from 0 to 100

I changed the relevant lines (near 2910) in Interpreter.C:

   try { return BoolValue::fromBool(IsElem(f->theRingElem, I->theIdeal)); }

   catch (const ErrorInfo& err)

   { throw RuntimeException(err.what(), beginOperatorSourcePosition, endOperatorSourcePosition); }

[previously there was no try...catch block]    

It would be nice if the necessary change could be made simpler/neater.

#2 - 04 Jul 2012 09:56 - Anna Maria Bigatti

- Category set to Parser/Interpreter

- Assignee set to John Abbott

- Target version set to CoCoA-5.0.3
